#define T_INTEGER	(256)
#define T_STRING	(257)
#define T_IF		(258)
#define T_ELSE		(259)
#define T_WHILE		(260)
#define T_INT		(261)
#define T_VOID		(262)
#define T_RETURN	(263)
#define T_LBRA		(264)
#define T_RBRA          (265)
#define T_KET		(266)
#define T_COMMA		(267)
#define T_SEMICOLON	(268)
#define T_EQUAL		(269)
#define T_STAR		(270)
#define T_SLASH		(271)
#define T_BARBAR	(272)
#define T_ANDAND	(273)
#define T_UNKNOWN       (299)
#define T_VARIABLE	(300)


typedef struct token {
  struct token*	next;		/* In case you need it */
  int	type;
  char  *lexeme;		/* Original characters */
  int	value;			/* Integer value */
} TOKEN;

extern void yyinit(void);  
extern int yylex(void);  

extern char yytext[];
extern TOKEN *yylval;




