#include <stdio.h>
#include <stdlib.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# ifndef YYLMAX 
# define YYLMAX BUFSIZ
# endif 
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
#define YYISARRAY
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 2 "lexdef.lex"
/* Stuff to be entered in the start of the file */
#include "lexhdr.h"
TOKEN *yylval;        /* Removed it from lexmain.c  */
TOKEN currtoken;      /* yylval points to it        */

# line 9 "lexdef.lex"
/* Start of Definitions */

# line 21 "lexdef.lex"
/* Grammar rules */
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 25 "lexdef.lex"
 {}
break;
case 2:

# line 26 "lexdef.lex"
    {}
break;
case 3:

# line 27 "lexdef.lex"
    {yylval->value = atoi(yytext);
               return T_INTEGER;}
break;
case 4:

# line 29 "lexdef.lex"
     {yylval->lexeme = yytext;
               return T_STRING;}
break;
case 5:

# line 31 "lexdef.lex"
         {return T_IF;}
break;
case 6:

# line 32 "lexdef.lex"
       {return T_ELSE;}
break;
case 7:

# line 33 "lexdef.lex"
      { return T_WHILE;}
break;
case 8:

# line 34 "lexdef.lex"
        {return T_INT;}
break;
case 9:

# line 35 "lexdef.lex"
       { return T_VOID;}
break;
case 10:

# line 36 "lexdef.lex"
     {return T_RETURN;}
break;
case 11:

# line 37 "lexdef.lex"
          {return T_LBRA;}
break;
case 12:

# line 38 "lexdef.lex"
          {return T_RBRA;}
break;
case 13:

# line 39 "lexdef.lex"
          {return T_COMMA;}
break;
case 14:

# line 40 "lexdef.lex"
          {return T_SEMICOLON;}
break;
case 15:

# line 41 "lexdef.lex"
          {return T_EQUAL;}
break;
case 16:

# line 42 "lexdef.lex"
          {return T_STAR;}
break;
case 17:

# line 43 "lexdef.lex"
          {return T_SLASH;}
break;
case 18:

# line 44 "lexdef.lex"
         {return T_BARBAR;}
break;
case 19:

# line 45 "lexdef.lex"
         {return T_ANDAND;}
break;
case 20:

# line 46 "lexdef.lex"
   {yylval->lexeme = yytext;
               yylval->next = NULL; 
               add_hash(yylval);
               return T_VARIABLE;}
break;
case 21:

# line 50 "lexdef.lex"
    {yylval->lexeme = yytext;
               return T_UNKNOWN;}
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

# line 53 "lexdef.lex"
void yyinit()
{setupHT();                   /* Hash table */
 yylval = &currtoken;         /* Assign the pointer to a  variable */
}



int yyvstop[] = {
0,

3,
0, 

3,
0, 

21,
0, 

1,
21,
0, 

21,
0, 

21,
0, 

11,
21,
0, 

12,
21,
0, 

16,
21,
0, 

21,
0, 

13,
21,
0, 

17,
21,
0, 

3,
21,
0, 

14,
21,
0, 

15,
21,
0, 

20,
21,
0, 

20,
21,
0, 

20,
21,
0, 

20,
21,
0, 

20,
21,
0, 

20,
21,
0, 

21,
0, 

4,
0, 

19,
0, 

3,
0, 

2,
0, 

3,
0, 

20,
0, 

20,
0, 

5,
20,
0, 

20,
0, 

20,
0, 

20,
0, 

20,
0, 

18,
0, 

20,
0, 

8,
20,
0, 

20,
0, 

20,
0, 

20,
0, 

6,
20,
0, 

20,
0, 

9,
20,
0, 

20,
0, 

20,
0, 

7,
20,
0, 

10,
20,
0, 
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	27,27,	0,0,	1,0,	
23,0,	0,0,	24,0,	0,0,	
0,0,	5,23,	27,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	5,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	1,4,	0,0,	1,5,	
23,24,	2,0,	24,24,	1,6,	
6,25,	1,7,	1,8,	1,9,	
1,10,	1,11,	1,10,	0,0,	
1,12,	1,13,	5,24,	12,27,	
0,0,	0,0,	0,0,	0,0,	
27,27,	0,0,	0,0,	2,4,	
1,14,	2,5,	1,15,	0,0,	
5,23,	2,6,	1,16,	2,7,	
2,8,	2,9,	2,10,	2,11,	
2,10,	27,27,	2,12,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	5,23,	0,0,	0,0,	
0,0,	0,0,	2,14,	0,0,	
2,15,	10,26,	10,26,	10,26,	
10,26,	10,26,	10,26,	10,26,	
10,26,	10,26,	10,26,	0,0,	
0,0,	40,44,	1,17,	18,31,	
19,33,	21,35,	1,18,	34,40,	
35,41,	17,30,	37,42,	18,32,	
20,34,	41,45,	45,47,	1,19,	
30,37,	32,38,	33,39,	1,20,	
1,21,	39,43,	43,46,	46,48,	
0,0,	1,22,	22,36,	0,0,	
2,17,	0,0,	0,0,	0,0,	
2,18,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	2,19,	0,0,	0,0,	
0,0,	2,20,	2,21,	0,0,	
0,0,	0,0,	0,0,	2,22,	
13,28,	13,28,	13,28,	13,28,	
13,28,	13,28,	13,28,	13,28,	
13,28,	13,28,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	16,29,	16,29,	16,29,	
16,29,	0,0,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		yyvstop+1,
yycrank+-27,	yysvec+1,	yyvstop+3,
yycrank+0,	0,		yyvstop+5,
yycrank+0,	0,		yyvstop+7,
yycrank+-16,	0,		yyvstop+10,
yycrank+2,	0,		yyvstop+12,
yycrank+0,	0,		yyvstop+14,
yycrank+0,	0,		yyvstop+17,
yycrank+0,	0,		yyvstop+20,
yycrank+41,	0,		yyvstop+23,
yycrank+0,	0,		yyvstop+25,
yycrank+4,	0,		yyvstop+28,
yycrank+104,	0,		yyvstop+31,
yycrank+0,	0,		yyvstop+34,
yycrank+0,	0,		yyvstop+37,
yycrank+114,	0,		yyvstop+40,
yycrank+1,	yysvec+16,	yyvstop+43,
yycrank+1,	yysvec+16,	yyvstop+46,
yycrank+3,	yysvec+16,	yyvstop+49,
yycrank+1,	yysvec+16,	yyvstop+52,
yycrank+1,	yysvec+16,	yyvstop+55,
yycrank+2,	0,		yyvstop+58,
yycrank+-2,	yysvec+5,	0,	
yycrank+-4,	yysvec+5,	yyvstop+60,
yycrank+0,	0,		yyvstop+62,
yycrank+0,	yysvec+10,	yyvstop+64,
yycrank+-8,	0,		yyvstop+66,
yycrank+0,	yysvec+13,	yyvstop+68,
yycrank+0,	yysvec+16,	yyvstop+70,
yycrank+1,	yysvec+16,	yyvstop+72,
yycrank+0,	yysvec+16,	yyvstop+74,
yycrank+1,	yysvec+16,	yyvstop+77,
yycrank+2,	yysvec+16,	yyvstop+79,
yycrank+2,	yysvec+16,	yyvstop+81,
yycrank+3,	yysvec+16,	yyvstop+83,
yycrank+0,	0,		yyvstop+85,
yycrank+9,	yysvec+16,	yyvstop+87,
yycrank+0,	yysvec+16,	yyvstop+89,
yycrank+4,	yysvec+16,	yyvstop+92,
yycrank+1,	yysvec+16,	yyvstop+94,
yycrank+5,	yysvec+16,	yyvstop+96,
yycrank+0,	yysvec+16,	yyvstop+98,
yycrank+8,	yysvec+16,	yyvstop+101,
yycrank+0,	yysvec+16,	yyvstop+103,
yycrank+13,	yysvec+16,	yyvstop+106,
yycrank+13,	yysvec+16,	yyvstop+108,
yycrank+0,	yysvec+16,	yyvstop+110,
yycrank+0,	yysvec+16,	yyvstop+113,
0,	0,	0};
struct yywork *yytop = yycrank+236;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,  10,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
 48,  48,  48,  48,  48,  48,  48,  48, 
 48,  48,   1,   1,   1,   1,   1,   1, 
  1,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,   1,   1,   1,   1,   1, 
  1,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.11	97/01/06 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
#ifdef YYISARRAY
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
#else
			if (yylastch >= &yytext[ yytextsz ]) {
				int	x = yylastch - yytext;

				yytextsz += YYTEXTSZINC;
				if (yytext == yy_tbuf) {
				    yytext = (char *) malloc(yytextsz);
				    memcpy(yytext, yy_tbuf, sizeof (yy_tbuf));
				}
				else
				    yytext = (char *) realloc(yytext, yytextsz);
				if (!yytext) {
				    fprintf(yyout,
					"Cannot realloc yytext\n");
				    exit(1);
				}
				yylastch = yytext + x;
			}
#endif
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
